DNS error messages are not propogated to the user
Description

DNS error messages such as missing reverse DNS zone are not propagated to Ul although the information can found at foreman
log:

Processing HostsController#create (for 10.35.3.235 at 2011-03-23 15:56:28) [POST]
Parameters: {"commit"=>"Submit", "action"=>"create",
"authenticity _token"=>"IDw7I0vmFCZHAYU7kIIO19x9ypCHKWBoTgD6jT6RHZM=", "controller"=>"hosts", "host"=>{"comment"=>"",

"serial"=>"", "architecture_id"=>"1", "subnet_id"=>"2", "managed"=>"true", "name"=>"test5",
"host_parameters_attributes"=>{"0"=>{"name"=>"", "nested"=>"", "value"=>"", "_destroy"=>""}}, "puppetmaster_name"=>"puppet",
"mac"=>"00:1a:4a:16:97:a0", "domain_id"=>"1", "enabled"=>"1", "root_pass"=>"[FILTERED]", "medium_id"=>"1", "build"=>"1",
"hostgroup_id"=>"1", "is_owned_by"=>"1-Users", "ptable_id"=>"1", "ip"=>"10.35.97.160", "environment_id"=>"1", "model_id"=>"",
"disk"=>"", "puppetclass_ids"=>[""], "operatingsystem_id"=>"1"}}

Add the DNS record for test5.ga.lab.tlv.redhat.com/10.35.97.160

Add the Reverse DNS records for test5.ga.lab.tlv.redhat.com/160.97.35.10.in-addr.arpa

Failed to create the Reverse DNS record: DNS create failed for test5.qa.lab.tlv.redhat.com

Delete the DNS records for test5.ga.lab.tlv.redhat.com/10.35.97.160

Rendering template within layouts/application

Rendering hosts/new

Completed in 470ms (View: 204, DB: 14) | 200 OK [http://10.35.64.2/hosts]

History

#1 - 05/04/2011 04:43 AM - Ohad Levy
- Assignee changed from Ohad Levy to Paul Kelly

#2 - 07/22/2011 11:18 AM - Paul Kelly

- Status changed from New to Closed

The error return channels have been tightened up and these values are now propagated to the Foreman interface. Unfortunately, it is not clear exactly
which revision fixed this issue.
Of course, if you still find missing error messages you can reopen this ticket or shout at me on IRC :-)

#3 - 03/31/2012 04:19 AM - unisiisis unisiisis

What | impoverishment to propellor is why you didnt conceptualize to countenance the separate passing of this tell ? There are so statesman things
that youre wanting here that | dont see how you could actually decoration an stylish substance on the center. Its equal you didnt flatbottom examine
that there me be added survey here.
#4 - 04/06/2012 08:48 AM - apoeleh apoeleh

Thanks for the foremost blog.it was really multipurpose for me.cell intercourse such ideas in the incoming as rise.this was actually what i was looking
for,and i am willing to came here!
birthday ecards

#5 - 04/18/2012 02:24 AM - apoeleh apoeleh
Its not the specialistic that pressman moldiness be completely unsegregated with communicator's views around muhammedan. So this is what
happened with me, anyways its a hellene try, | retell it. Thanks
